Bug 1889250 - Update the example output of the command line "openshift-install create manifests"
Summary: Update the example output of the command line "openshift-install create manif...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Servesha
QA Contact: Jianli Wei
Latha S
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 07:22 UTC by Yang Yang
Modified: 2021-09-09 08:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-09 08:16:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yang Yang 2020-10-19 07:22:01 UTC
Document URL: 
https://docs.openshift.com/container-platform/4.6/installing/installing_gcp/installing-gcp-user-infra.html

Section Number and Name: 
Creating the Kubernetes manifest and Ignition config files

Describe the issue: 
Since 4.6, the output of below command lines include the information about the created assets, like INFO Manifests created in: gcp/manifests and gcp/openshift. The output of command line openshift-install create manifests -dir xxx in 4.6 document needs update.

./openshift-install create install-config -dir xxx
./openshift-install create manifests -dir xxx
./openshift-install create ignition-configs --dir xxx

Please refer to https://issues.redhat.com/browse/CORS-1360

Suggestions for improvement: 
Suggest to add the information about the created assets to output, like:

INFO Consuming Install Config from target directory  
INFO Manifests created in: 
installation_directory/manifests and installation_directory/openshift  

Additional information:

Comment 2 Servesha 2021-08-26 12:31:54 UTC
Hello,

* section: Creating the Kubernetes manifest and Ignition config files.
`./openshift-install create manifests` command already has the output[1] in the docs as mentioned in the description.



The output for `./openshift-install create manifests` is missing actually in this section[2] 'Optional: Creating a separate /var partition'. Are we expecting the change in output in that section[2]?



[1]INFO Credentials loaded from the "myprofile" profile in file "/home/myuser/.aws/credentials"
   INFO Consuming Install Config from target directory
   INFO Manifests created in: install_dir/manifests and install_dir/openshift

[2] https://docs.openshift.com/container-platform/4.6/installing/installing_gcp/installing-gcp-user-infra.html#installation-disk-partitioning-upi-templates_installing-gcp-user-infra

Comment 3 Yang Yang 2021-08-27 01:24:55 UTC
> section: Creating the Kubernetes manifest and Ignition config files.
`./openshift-install create manifests` command already has the output[1] in the docs as mentioned in the description.

It's probably the command didn't have the output when I was reporting this issue. So we were expecting the change in this section previously. That's great we have get it changed now. No change is required any more.


> The output for `./openshift-install create manifests` is missing actually in this section[2] 'Optional: Creating a separate /var partition'. Are we expecting the change in output in that section[2]?

Yes. Thanks for catching it.

Comment 4 Servesha 2021-08-27 05:24:23 UTC
(In reply to Yang Yang from comment #3)
> > section: Creating the Kubernetes manifest and Ignition config files.
> `./openshift-install create manifests` command already has the output[1] in
> the docs as mentioned in the description.
> 
> It's probably the command didn't have the output when I was reporting this
> issue. So we were expecting the change in this section previously. That's
> great we have get it changed now. No change is required any more.
> 
> 
> > The output for `./openshift-install create manifests` is missing actually in this section[2] 'Optional: Creating a separate /var partition'. Are we expecting the change in output in that section[2]?
> 
> Yes. Thanks for catching it.

Okay. Thanks for confirming. I will open a PR to add the output in the section: 'Optional: Creating a separate /var partition'.

Comment 6 Servesha 2021-09-07 12:46:12 UTC
The PR: https://github.com/openshift/openshift-docs/pull/35888 is merged.


Note You need to log in before you can comment on or make changes to this bug.